.frame-type-form_formframework header .box {padding-bottom: 0;}
.frame-type-form_formframework:has(header) .box.formular {padding-top: 0px;}
.frame-type-form_formframework:not(:has(.box.formular)) header {display: none;}

input, textarea {border: 1px solid rgba(var(--grey10)); background-color: rgb(249, 249, 249); border-radius: 10px; width: 100%; font-size: var(--baseFontSize); box-sizing: border-box; font-family: "Regular";}
textarea {height: 200px; border-left: 10px solid rgba(var(--grey10));}
input[type="text"], input[type="email"], input[type="tel"] { height: 50px; padding-left: 20px; border-left: 10px solid rgba(var(--grey10));  }
.frame-bg_grey10 input[type="text"], .frame-bg_grey10 input[type="email"], .frame-bg_grey10 input[type="tel"], .frame-bg_grey10 textarea { border-left: 10px solid rgba(var(--grey50));  }

.form-group {position: relative;}
.form-group input + label, .form-group textarea + label { position: absolute; left: 25px; top: 13px; font-size: var(--baseFontSize); pointer-events: none; transition: 0.2s; color: rgba(var(--grey100));}
.form-group input:focus + label, .form-group textarea:focus + label, .form-group input:not(:placeholder-shown) + label, .form-group textarea:not(:placeholder-shown) + label  {top: -25px; left: 0px; font-size: 10px;}
.frame-bg_orange .form-group input:focus + label, .frame-bg_orange .form-group textarea:focus + label, .frame-bg_orange .form-group input:not(:placeholder-shown) + label, .frame-bg_orange .form-group textarea:not(:placeholder-shown) + label  {color: #FFF;}
.frame-bg_primary .form-group input:focus + label, .frame-bg_primary .form-group textarea:focus + label, .frame-bg_primary .form-group input:not(:placeholder-shown) + label, .frame-bg_primary .form-group textarea:not(:placeholder-shown) + label  {color: #FFF;}


.box.formular:has(form[id*='newsletter']) {padding-top: 20px; padding-bottom: 20px;}
/*.box.formular .cols.xl-12:has(form[id*='newsletter']) {width: calc(var(--colWidth) * 6 + var(--colSpace) * 5);}*/

div.form-group:has(div.captcha) {margin-top: 20px;}
div.form-group:has(div.captcha) label {display: none;}
div.form-group:has(div.captcha) img {border-radius: 5px;}
div.form-group:has(div.captcha) div.error {color: red; margin-top: 10px;}
.box.formular div.datenschutzhinweis {margin-top: 20px; margin-bottom: 20px;}

.box.formular form[id*='newsletter'] .row {row-gap: 0px; column-gap: 40px; width: 100%; box-sizing: border-box;}

.box.formular form[id*='newsletter'] h2 {font-size: 20px; text-align: center;}
.box.formular:has(form[id*='newsletter']) input[type="email"] {height: 50px;}
.box.formular:has(form[id*='newsletter']) button[type="submit"] {}

.box.formular:has(form[id*='newsletter']) form .row {grid-template-columns: repeat(4, 1fr); column-gap: 20px;}


.inputs-list {display: flex; flex-direction: row; align-items: flex-start; column-gap: 30px; row-gap: 20px; flex-wrap: wrap;}
.box.formular fieldset {margin-bottom: 30px;}
.box.formular fieldset legend {font-family: "Medium"; margin-bottom: 10px;}

form .row {display: grid; grid-template-columns: repeat(2, 1fr); gap: 40px;  width: 100%; box-sizing: border-box;}

form .row:before {position: absolute;}

input[type="checkbox"] {width: auto; }


fieldset {border: 0px;}

button[type=submit] {border: 1px solid rgb(var(--grey100)); padding: 10px 15px 6px 20px; border-radius: 50px; box-sizing: border-box; transition: 0.2s; top: 30px; display: inline-block; text-decoration: none; background-color: #FFF; color: rgb(var(--grey100))!important; font-family: "Regular"; font-size: 16px; line-height: 22px;}
button[type=submit]:after {font-family: "comtac"; content: "\003E"; font-size: 20px; line-height: 0px; position: relative; top: 2px; padding-left: 20px; padding-right: 10px; box-sizing: border-box;  display: inline-block;transition: transform 0.5s,  0.2s; }

button[type=submit]:hover {background-color: rgb(var(--pColor)); border: 1px solid rgb(var(--pColor)); color: #FFF!important; text-decoration: none; font-family: "Regular";}
button[type=submit]:hover:after {transform: rotate(-45deg); color: #FFF; }

.frame-bg_orange button[type=submit]:hover {background-color: rgb(var(--grey100)); border: 1px solid rgb(var(--grey100)); color: #FFF!important; text-decoration: none; font-family: "Regular";}
.frame-bg_primary button[type=submit]:hover {background-color: rgb(var(--grey100)); border: 1px solid rgb(var(--grey100)); color: #FFF!important; text-decoration: none; font-family: "Regular";}

button[type=submit]:disabled {opacity: 0.5;}
button[type=submit]:disabled:hover {background-color: #FFF; border: 1px solid rgb(var(--grey100)); color: rgba(var(--grey100))!important; text-decoration: none; font-family: "Regular";}
button[type=submit]:disabled:hover:after {transform: rotate(0deg); color: rgba(var(--grey100))!important; }

input[type=submit] {border: 1px solid rgb(var(--grey100)); padding: 10px 15px 6px 20px; border-radius: 50px; box-sizing: border-box; transition: 0.2s; top: 30px; display: inline-block; text-decoration: none; background-color: #FFF; color: rgb(var(--grey100))!important; font-family: "Regular"; font-size: 16px; line-height: 22px; width: auto;}
input[type=submit]:after {font-family: "comtac"; content: "\003E"; font-size: 20px; line-height: 0px; position: relative; top: 2px; padding-left: 20px; padding-right: 10px; box-sizing: border-box;  display: inline-block;transition: transform 0.5s,  0.2s; }
input[type=submit]:hover {background-color: rgb(var(--pColor)); border: 1px solid rgb(var(--pColor)); color: #FFF!important; text-decoration: none; font-family: "Regular";}
input[type=submit]:hover:after {transform: rotate(-45deg); color: #FFF; }

@media only screen and (max-width: 767px) {
	form .row {display: grid; grid-template-columns: repeat(1, 1fr); gap: 40px;  width: 100%; box-sizing: border-box;}
	.box.formular form[id*='newsletter'] .row {row-gap: 20px; }
	.box.formular form[id*='newsletter'] div.datenschutzhinweis {margin-top: 0px; }


}